curl --request PATCH \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/assessmentResults/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assessmentResult": {
"status": "active",
"metadata": {},
"score": 123,
"textScore": "<string>",
"scoreDate": "2023-11-07T05:31:56Z",
"scoreScale": {
"sourcedId": "<string>"
},
"scorePercentile": 123,
"scoreStatus": "exempt",
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
}
'{}To partially update an existing Assessment Result with metadata merging support.
curl --request PATCH \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/assessmentResults/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assessmentResult": {
"status": "active",
"metadata": {},
"score": 123,
"textScore": "<string>",
"scoreDate": "2023-11-07T05:31:56Z",
"scoreScale": {
"sourcedId": "<string>"
},
"scorePercentile": 123,
"scoreStatus": "exempt",
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
}
'{}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the assessment result to update
Show child attributes
Successfully updated
The response is of type object.